Name: cockpit-files
Version: 4.6.g4d39692
Release: 1.20240721093637302625.pr666.6.g4d39692%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-4.6.g4d39692.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.1
Provides: bundled(npm(@patternfly/react-core)) = 5.3.4
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.1
Provides: bundled(npm(@patternfly/react-table)) = 5.3.4
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.3

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Sun Jul 21 2024 Packit <hello@packit.dev> - 4.6.g4d39692-1.20240721093637302625.pr666.6.g4d39692
- build(deps-dev): bump the eslint group with 2 updates (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- Makefile: Update Cockpit lib to 0b215006ecc7daadcaf341ea1bd7b1bc (Cockpit Project)
- build: don't rely on implicitly imported process (Jelle van der Waa)
- Improve empty state for filtering/empty folders (Jelle van der Waa)
- Makefile: Update Cockpit lib to 24a184562d4 (Cockpit Project)
